OPENRCT2-CLI(6)

NAME
openrct2-cli - Headless server mode for OpenRCT2

SYNOPSIS
openrct2-cli [-h | --help] [-v | --version] [--verbose]

openrct2-cli host uri [--address address] [--port port] [--password password]

DESCRIPTION
OpenRCT2 supports a headless mode where the game will run as a console application with no UI. This is useful for running dedicated game servers.

Several objects are available in OpenRCT2's scripting interface that can be modified from its CLI:

• cheats Enable/disable various cheats

• climate Modify the climate and weather

• console Options for interacting with the stdout console

• context Core API for use by plugins

• date Getting or setting the in-game date

• map Manipulation of the map

• network Management of the server or interacting with clients

• park APIs for the park and its management

• scenario Information about the current scenario

• titleSequenceManager Create and edit title sequences (only available to clients that are not running in headless mode)

• ui APIs for controlling the user interface (only available to clients that are not running in headless mode)

For further information about OpenRCT2, its options and capabilities, please refer to the openrct2(6) manpage.

OPTIONS

-h | --help
    Print a summary of all options to stdout and exit.

-v | --version
    Show version information and exit.

-n | --no-install
    Do not install scenario if passed.

-a | --all
    Show help for all commands.

--about
    Show information about openrct2-cli.

--verbose
    Print diagnostic information to stdout.

--port port
    Port to use for hosting or joining a server; if not specified, the default port of 11753 will be used.

--address address
    Address to bind to when hosting a server.

--password password
    Password needed to join the server.

--user-data-path path
    Path to the user data directory (containing config.ini)

--openrct2-data-path path
    Path to the OpenRCT2 data directory (containing languages)

--rct1-data-path path
    Path to the RollerCoaster Tycoon 1 data directory (containing data/csg1.dat)

--rct2-data-path path
    Path to the RollerCoaster Tycoon 2 data directory (containing data/g1.dat)

NOTES
With multiplayer, you might run into some bugs that do not occur in single player mode. If that happens, please report it on GitHub if the issue hasn't been reported already, and please say if the bug only occurs on multiplayer games.

In order for the server to successfully accept clients, the port must be open for the server's own firewall and any router's firewall the computer is behind. Additionally if the server is behind a router with NAT enabled, the router must be configured to have the port forwarded to the server's local address.

EXAMPLES

openrct2-cli host ./my_park.sv6 --port 11753
    Run a headless server for a saved park.

$ network.players[1].group = 0
    From the CLI for a multiplayer server, set the first user to join as an admin

$ cheats["disableAllBreakdowns"] = true
    From the CLI, enable the cheat to disable all ride breakdowns

SEE ALSO
openrct2(6)

Official site: https://openrct2.io

GitHub: https://github.com/OpenRCT2/OpenRCT2